# Uses of Class
org.apache.sysds.runtime.instructions.spark.QuaternarySPInstruction

Packages that use QuaternarySPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.spark

## Uses of QuaternarySPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type QuaternarySPInstruction
Modifier and Type
Method
Description
`static double`
SparkCostUtils.`getQuaternaryInstTime(QuaternarySPInstruction quatInst, VarStats input1, VarStats input2, VarStats input3, VarStats output, IOCostUtils.IOMetrics driverMetrics, IOCostUtils.IOMetrics executorMetrics)`

## Uses of QuaternarySPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type QuaternarySPInstruction
Modifier and Type
Method
Description
`static QuaternaryFEDInstruction`
QuaternaryFEDInstruction.`parseInstruction(QuaternarySPInstruction inst, ExecutionContext ec)`
`static QuaternaryWCeMMFEDInstruction`
QuaternaryWCeMMFEDInstruction.`parseInstruction(QuaternarySPInstruction instr)`
`static QuaternaryWDivMMFEDInstruction`
QuaternaryWDivMMFEDInstruction.`parseInstruction(QuaternarySPInstruction instr)`
`static QuaternaryWSigmoidFEDInstruction`
QuaternaryWSigmoidFEDInstruction.`parseInstruction(QuaternarySPInstruction instr)`
`static QuaternaryWSLossFEDInstruction`
QuaternaryWSLossFEDInstruction.`parseInstruction(QuaternarySPInstruction instr)`
`static QuaternaryWUMMFEDInstruction`
QuaternaryWUMMFEDInstruction.`parseInstruction(QuaternarySPInstruction instr)`

## Uses of QuaternarySPInstruction in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return QuaternarySPInstruction
Modifier and Type
Method
Description
`static QuaternarySPInstruction`
QuaternarySPInstruction.`parseInstruction(String str)`